<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class handouts_SINGLE_Controller extends Controller
{
    public $selfName = 'handouts_SINGLE_Controller';
    public $dashboardName = 'dashboard';

	// GET /handouts/view/{uid}/ACTION_updateBasic
	public function ACTION_updateBasic(Request $request, $uid) {
		$record = DB::table('handout')->where('uid', $uid)->first();
		if(!$record) {
			$record = DB::table('handout')->where('id', $uid)->first();
			if($record) return redirect('/handouts/view/' . $record->uid . '/ACTION_updateBasic');
		}
		return response()->view('admin/handouts_SINGLE/ACTION_updateBasic', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /handouts/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('handout')->where('uid', $uid)->first();
		if(!$record) {
			$record = DB::table('handout')->where('id', $uid)->first();
			if($record) return redirect('/handouts/view/' . $record->uid . '/SUB_dashboard');
		}
		return response()->view('admin/handouts_SINGLE/SUB_dashboard', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}
}
